# API

Import CAT as:

```python
import cat
```

```{eval-rst}
.. currentmodule:: cat
```

## cat

```{eval-rst}
.. currentmodule:: cat

.. autosummary::
    :toctree: generated

    internal_preprocessing
    compare
    run
```

## Dataset and DatasetDiff

```{eval-rst}
.. module:: cat.dataset
.. currentmodule:: cat
.. autosummary::
    :toctree: generated

    Dataset._fix_metadata
    Dataset._fix_genes
    Dataset._fix_genes
    Dataset._filter_genes
    Dataset._save
    Dataset.prepare

    DatasetDiff
```

## Report

```{eval-rst}
.. module:: cat.report
.. currentmodule:: cat
.. autosummary::
    :toctree: generated

    report.generate_tables
    report.to_excel
    report.save_tables
```

## Utils

```{eval-rst}
.. module:: cat.utils
.. currentmodule:: cat
.. autosummary::
    :toctree: generated

    utils.get_nz_mean
    utils.get_nz_median
    utils.normalize
    utils.rename_ds
    utils.read_features
```
